Bug 1202428 - Xfce412
Summary: Xfce412
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SelfContainedChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 15:18 UTC by Jaroslav Reznik
Modified: 2016-07-19 13:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
== Xfce 4.12 == Fedora 22 includes the latest version of the Xfce desktop. This new release comes with a number of bug fixes and enhancements to the desktop environment and its default applications. Notable changes include: * The window switcher (Alt+Tab) now supports themes, has several different modes and supports live window previews. * A Hidpi theme has been added for laptops with high dpi screens. * The Panel can now intelligently hide itself and supports Gtk3 plugins. * The desktop has a new wallpaper settings dialog, per workspace wallpaper support, and better multi-monitor handling. * Support has been added for the new libinput input library. * Many improvements in the Thunar file manager, including tab support, bug fixes and performance improvements. * The Mousepad text editor has been rewritten for speed and simplicity * The Parole media player has been ported to Gtk3 and has new interface. * The clipboard manager now supports showing QR codes for items in the clipboard. See the Xfce 4.12 Tour (http://xfce.org/about/tour) for a visual tour of the new features, and the Xfce 4.12 Changelog (http://xfce.org/download/changelogs/4.12) for a full list of changes.
Clone Of:
Environment:
Last Closed: 2016-07-19 13:03:53 UTC
Type: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-03-16 15:18:28 UTC
This is a tracking bug for Change: Xfce412
For more details, see: https://fedoraproject.org//wiki/Changes/Xfce412

Update Xfce to the new 4.12 release with a number of bugfixes and improvements.

Comment 1 Jaroslav Reznik 2015-03-24 11:41:39 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 Jaroslav Reznik 2015-03-31 10:00:06 UTC
Kevin, Christoph,
is Xfce412 change considered to be completed? See above. If yes, please mark it as ON_QA. Thanks.

Comment 3 Kevin Fenzi 2015-03-31 13:15:56 UTC
Yes, it is. 

There is still a bit more to be done before final, but we are waiting on upstream to do that. 

Mainly, the xfce4-notes-plugin release this week should allow us to retire the old libxfcegui4 library and obsolete it so upgrades work nicely. Otherwise all the packages are in and it's just bugfixing and fine tuning now.

Comment 4 Petr Bokoc 2015-04-08 11:54:47 UTC
Hello Kevin, we'd like to include this change in F22 Beta Release Notes.

Please take a look at the draft I wrote in the Doc Text field, and let me know if this is sufficient, or if there's anything you'd like to add or change. Note that the draft is mostly identical to the Release Notes section on the change's Wiki page (thanks for taking the time to write that :).

Thanks!

Comment 5 Kevin Fenzi 2015-04-08 21:34:49 UTC
Looks pretty good to me. ;)

Comment 6 Jan Kurik 2015-07-15 14:24:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 7 Fedora End Of Life 2016-07-19 13:03:53 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.